package cn.com.tenlion.systembase.pojo.vos.keyplacepatrol;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: KeyPlacePatrolVO
 * @Description: 重点场所巡查表
 * @Author: CodeFactory
 * @Date: 2021-11-24 10:39:11
 * @Version: 3.0
 **/
@ApiModel
public class KeyPlacePatrolVO {

    @ApiModelProperty(name = "keyPlaceId", value = "重点场所ID")
    private String keyPlaceId;
    @ApiModelProperty(name = "keyPlaceName", value = "重点场所名称")
    private String keyPlaceName;
    @ApiModelProperty(name = "patrolTime", value = "巡查时间")
    private String patrolTime;
    @ApiModelProperty(name = "patrolContent", value = "巡查内容")
    private String patrolContent;
    @ApiModelProperty(name = "patrolResult", value = "巡查结果")
    private String patrolResult;
    @ApiModelProperty(name = "patrolPhoto", value = "巡查照片")
    private String patrolPhoto;
    @ApiModelProperty(name = "patrolVideo", value = "巡查视频")
    private String patrolVideo;
    @ApiModelProperty(name = "remake", value = "备注")
    private String remake;

    public String getKeyPlaceId() {
        return keyPlaceId == null ? "" : keyPlaceId.trim();
    }

    public void setKeyPlaceId(String keyPlaceId) {
        this.keyPlaceId = keyPlaceId;
    }

    public String getKeyPlaceName() {
        return keyPlaceName;
    }

    public void setKeyPlaceName(String keyPlaceName) {
        this.keyPlaceName = keyPlaceName;
    }

    public String getPatrolTime() {
        return patrolTime == null ? "" : patrolTime.trim();
    }

    public void setPatrolTime(String patrolTime) {
        this.patrolTime = patrolTime;
    }

    public String getPatrolContent() {
        return patrolContent == null ? "" : patrolContent.trim();
    }

    public void setPatrolContent(String patrolContent) {
        this.patrolContent = patrolContent;
    }

    public String getPatrolResult() {
        return patrolResult == null ? "" : patrolResult.trim();
    }

    public void setPatrolResult(String patrolResult) {
        this.patrolResult = patrolResult;
    }

    public String getPatrolPhoto() {
        return patrolPhoto == null ? "" : patrolPhoto.trim();
    }

    public void setPatrolPhoto(String patrolPhoto) {
        this.patrolPhoto = patrolPhoto;
    }

    public String getPatrolVideo() {
        return patrolVideo == null ? "" : patrolVideo.trim();
    }

    public void setPatrolVideo(String patrolVideo) {
        this.patrolVideo = patrolVideo;
    }

    public String getRemake() {
        return remake == null ? "" : remake.trim();
    }

    public void setRemake(String remake) {
        this.remake = remake;
    }


}
